Subject: Re: Re: bug#12787: Toolbar regression from Emacs 23 to Emacs 24 -- Save As and Help no longer available

From: [email-masked]
Date: Fri, 02 Nov 2012 14:15:00 -0500 (CDT)

On 11/02/12, Glenn Morris<[email-masked]> wrote:

>[email-masked] wrote:
>
>> I save tool-bar.el, compile it to tool-bar.elc and then restart Emacs,
>> but the buttons are not there.
>
>This file is dumped into the Emacs executable, so you would need to
>rebuild Emacs with your changes. I imagine it would be much simpler to
>just add the buttons in your init file. I don't use the tool-bar and
>have no real opinion on what buttons should be there; but "Help" seems
>too general, rarely used, and hence a waste of space to me. Same with
>"save as" I guess.

I see your point, however the fact remains that this is a regression from Emacs 23 -- and a seemingly arbitrary one at that -- that wasn't mentioned in the NEWS. 
 
I get that "real" Emacs users don't use the tool bar (or the menu bar, for that matter), but I've been using Emacs extensively for seven years now and still find uses for the tool-bar. "Save As" is for me exceptionally useful.
 
Thanks for the tip that I can recompile Emacs with my changes. I will do that, if necessary. 
 
I'd prefer though, that the buttons go back onto the tool bar be default. There's seemingly no good reason to hobble the tool bar by removing them, and no harm in keeping them.

I understand that I can add them to my init file, but the buttons don't show up in the order that I would like them to be on the tool bar. It is also a shame to add things to my init file that weren't needed before. The last several releases of Emacs have caused me to remove items from my init file because they were no longer needed. I'd hate to reverse that trend. 
 
Regards,
 
Drew Ames